<?php

declare(strict_types=1);

interface PluginInterface
{
    public function boot(): void;
    public function activate(): void;
    public function deactivate(): void;
    public function install(): void;
    public function uninstall(): void;
    public function info(): array;
}
